#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "ui_mainWindow.h"

#include <QMessageBox>
#include "FileManager.h"

/**
  * The Main Window of the GUI
  */
class MainWindow : public QMainWindow, public Ui::MainWindow
{
	Q_OBJECT

public:
	MainWindow(QWidget *parent = 0);
	~MainWindow();

public slots:
	void showFileDialog();
	void showAboutDialog();

	void enableShowCircleCheckBox();
	void disableShowCircleCheckBox();

private:
	/** Name of the data file */
	QString fileName;
	/** Dialog showing some information about the program */
	QMessageBox aboutDialog;
	/** Pointer to the FileManager object which loads the data file */
	FileManager *fileManager;
};

#endif