#pragma once

#include <windows.h>

#include <commdlg.h>
#include <stdlib.h>
#include <io.h>
#include <iostream>
#include <sstream>
#include <string>
#include <vector>

#include <sstream>

#define PI 3.14159265f
#define E 2.718281828f

int StringToInt(std::string stringValue);

std::string IntToString(int iValue);
std::string FloatToString(float fValue);
// converts from string to Type
template <class Type>
inline const Type fromString(const std::string & strString)
{
	Type tValue;
	std::stringstream(std::string(strString)) >> tValue;		
	return tValue;
};

// converts from string to Type, returns true if successful
template <class Type>
inline const bool fromString(Type & tValue, const std::string & strString)
{
	Type tTemp;

	std::stringstream ss;
	ss << strString;
	ss >> std::ws;

	if (ss >> tTemp)
	{
		ss >> std::ws;

		if (ss.eof())
		{
			tValue = tTemp;
			return true;
		}
	}

	return false;
};

// converts from Type to string
template <class Type>
inline const std::string toString(const Type & tValue)
{
	std::stringstream ss;
	ss << tValue;
	return ss.str();
};