#include "common.h"

/**
  * Converts an std:string to an int value
  * @param stringValue the string to convert to an int value
  * @return int-representation of the string
  */
int StringToInt(std::string stringValue)
{
    std::stringstream ssStream(stringValue);
    int iReturn;
    ssStream >> iReturn;

    return iReturn;
}

/**
  * Converts an int value to an std:string
  * @param iValue the int value to convert to an std::string
  * @return string-representation of the int value
  */
std::string IntToString(int iValue)
{
    std::stringstream ssStream;
    ssStream << iValue;
    return ssStream.str();
}

/**
  * Converts a float value to an std:string
  * @param fValue the float value to convert to an std::string
  * @return string-representation of the float value
  */
std::string FloatToString(float fValue)
{
    std::stringstream ssStream;
    ssStream << fValue;
    return ssStream.str();
}